RewriteEngine on

RewriteRule index\.html$ index.php
RewriteRule p-(.*)\.html$ index.php?page=$1
RewriteRule tellme\.html$ tellme.php
RewriteRule tellme_ok\.html$ tellme.php?action=send
RewriteRule tell-friend\.html$ tell-friend.php
RewriteRule tell-friend_ok\.html$ tell-friend.php?action=send
RewriteRule search\.html$ search.php
RewriteRule result\.html$ result.php
RewriteRule visitsite-(.*)\.html$ ads.php?adsid=$1

RewriteRule news\.html$ news.php?action=home
RewriteRule news_cat-(.*)\.html$ news.php?action=cat&id=$1
RewriteRule news-pages-(.*)-(.*)\.html$ news.php?action=cat&id=$1&page=$2
RewriteRule news-(.*)\.html$ news.php?action=view&id=$1
RewriteRule archive\.html$ news.php?action=archive
RewriteRule archive-(.*)\.html$ news.php?action=archive&page=$1

RewriteRule aldlel\.html$ links.php?action=home
RewriteRule aldlel_gosite-(.*)\.html$ links.php?action=islam_dlil_go&id=$1
RewriteRule aldlelpages-(.*)-(.*)\.html$ links.php?action=islam_dlil&id=$1&page=$2
RewriteRule aldlel_cat-(.*)\.html$ links.php?action=islam_dlil&id=$1
RewriteRule aldlel_show-(.*)\.html$ links.php?action=show&id=$1
RewriteRule addsite\.html$ links.php?action=addsite
RewriteRule insertsite\.html$ links.php?action=insertsite

RewriteRule fatawa\.html$ fatawa.php?action=home
RewriteRule fatawa_cat-(.*)\.html$ fatawa.php?action=fatawa&id=$1
RewriteRule fatawapage-(.*)-(.*)\.html$ fatawa.php?action=fatawa&id=$1&page=$2
RewriteRule fatawa_show-(.*)\.html$ fatawa.php?action=fatawa_show&id=$1

RewriteRule signatures\.html$ signatures.php?action=home
RewriteRule signatures_cat-(.*)\.html$ signatures.php?action=signatures&id=$1
RewriteRule signaturespage-(.*)-(.*)\.html$ signatures.php?action=signatures&id=$1&page=$2

RewriteRule flash\.html$ flash.php?action=home
RewriteRule flash_cat-(.*)\.html$ flash.php?action=flash&id=$1
RewriteRule flash_show-(.*)\.html$ flash.php?action=flash_show&id=$1
RewriteRule flashpage-(.*)-(.*)\.html$ flash.php?action=flash&id=$1&page=$2


RewriteRule anasheed\.html$ anasheed.php?action=home
RewriteRule anasheed_cat-(.*)\.html$ anasheed.php?action=anasheed&id=$1
RewriteRule anasheed_show-(.*)\.html$ anasheed.php?action=anasheed_show&id=$1
RewriteRule anasheedpage-(.*)-(.*)\.html$ anasheed.php?action=anasheed&id=$1&page=$2


RewriteRule telawat\.html$ quran.php?action=home
RewriteRule telawat_cat-(.*)\.html$ quran.php?action=telawat&id=$1
RewriteRule telawat_show-(.*)\.html$ quran.php?action=telawat_show&id=$1


RewriteRule mhadrat\.html$ sound.php?action=home
RewriteRule mhadrat_cat-(.*)\.html$ sound.php?action=mhadrat&id=$1
RewriteRule mhadrat_show-(.*)-(.*)\.html$ sound.php?action=mhadrat_show&id=$1&n=$2
RewriteRule m-(.*)-(.*)\.html$ sound.php?action=mhadrat&id=$1&page=$2


RewriteRule book\.html$ book.php?action=home
RewriteRule book_cat-(.*)\.html$ book.php?action=book_cat&id=$1
RewriteRule bookpage-(.*)-(.*)\.html$ book.php?action=book_cat&id=$1&page=$2
RewriteRule veiwbook-(.*)\.html$ book.php?action=veiwbook&id=$1
RewriteRule showbook-(.*)\.html$ book.php?action=showbook&id=$1


RewriteRule guestbok\.html$ guestbook.php?action=home
RewriteRule add_sjl\.html$ guestbook.php?action=add_sjl_alzwar
RewriteRule add_sjlok\.html$ guestbook.php?action=add_sjlalzwar_indatabase
RewriteRule sjlpages-(.*)\.html$ guestbook.php?action=home&page=$1

RewriteRule story\.html$ story.php?action=home
RewriteRule storycat-(.*)\.html$ story.php?action=cat&id=$1
RewriteRule storyshow-(.*)\.html$ story.php?action=show&id=$1
RewriteRule storypage-(.*)-(.*)\.html$ story.php?action=cat&id=$1&page=$2

RewriteRule download\.html$ download.php?action=home
RewriteRule downloadcat-(.*)\.html$ download.php?action=cat&id=$1
RewriteRule downloadshow-(.*)\.html$ download.php?action=show&id=$1
RewriteRule downloadfile-(.*)\.html$ download.php?action=download&id=$1
RewriteRule downloadpage-(.*)-(.*)\.html$ download.php?action=cat&id=$1&page=$2

RewriteRule page-(.*)\.html$ page.php?id=$1
RewriteRule vote\.html$ poll.php?action=vote4pool
RewriteRule poll\.html$ poll.php?action=home

RewriteRule box\.html$ box.php
RewriteRule sendmessage\.html$ box.php?action=send
RewriteRule messagecode-(.*)\.html$ box.php?action=show&code=$1
RewriteRule replay\.html$ box.php?action=re
RewriteRule replaysend\.html$ box.php?action=insertreplay

RewriteRule youtube\.html$ youtube.php?action=home
RewriteRule youtubecat-(.*)\.html$ youtube.php?action=cat&id=$1
RewriteRule youtubeshow-(.*)\.html$ youtube.php?action=show&id=$1
RewriteRule t-(.*)-(.*)\.html$ youtube.php?action=cat&id=$1&page=$2

RewriteRule video\.html$ video.php
RewriteRule video-cats-(.*)\.html$ video.php?x=category&id=$1
RewriteRule video-show-(.*)\.html$ video.php?x=show&id=$1
RewriteRule v(.*),(.*)\.html$ video.php?x=category&id=$1&page=$2

RewriteRule text\.html$ text.php?action=home
RewriteRule textcat-(.*)\.html$ text.php?action=cat&id=$1
RewriteRule textshow-(.*)\.html$ text.php?action=show&id=$1
RewriteRule x-(.*)-(.*)\.html$ text.php?action=cat&id=$1&page=$2

RewriteRule album\.html$ album.php?action=home
RewriteRule album-(.*)\.html$ album.php?action=show&id=$1

RewriteRule list\.html$ list.php
RewriteRule comment\.html$ comment.php
RewriteRule c1-(.*)-(.*)\.html$ news.php?action=view&id=$1&page=$2

RewriteRule rss-news\.rss$ rss.php